Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 04/06/2022 in all areas

  1. I use Tharwat's lisp to label coordinates using XY, XYZ, or just Z with leader. Not sure what annotation you're looking for but this should be a good place to start. https://www.cadtutor.net/forum/topic/68126-require-lisp-3-in-1-for-xyz-coordinates-with-leader/?tab=comments#comment-552696
    1 point
  2. Like Tombu the guys where I used to work got the crayon out and marked the ground as the truck turned and surveyed it. For a fire truck had the specs but no vehicle found a European truck so close used that I think we just tweaked a couple of the values. My Nissan civilian motor home 6m long does a u turn better than my car. We had a planning submission for the best semi driver in the world to carry out a manoeuvre we deduced the turn angles had been adjusted so as to make it work asked consultant in no un certain terms "HAVE A NOTHER GO" no cheating.
    1 point
  3. Maybe like this for points. (setq p2 (mapcar '+ p1 (list X Y Z))) ; add values x 0.0 0.0 0.0 Y 0.0 etc (setq pt3 (mapcar '+ pt1 pt2) ) ; adds 2 points together (setq pt3 (mapcar '(lambda (x) (/ x 2.0)) pt3) ; divide by 2 (setq mp (mapcar '* (mapcar '+ p1 p3) '(0.5 0.5 0.5))) ; mid point for 2 points
    1 point
  4. if you have pline with a radius and run Fillet with new radius that will work. If you go back to the ssget F as a box it will return entities in a order, for 2 plines will be same ent twice so can work on that maybe changing bulge. ` Thinking again use ssget "F" but drag over existing radii. Maybe use intersect with again though need 2 solutions line v's pline. The 2 points of the fence line erase the tangent lines via a box. You really need to look at line / pline scenario maybe even 2 plines explode 1 now have line-arc-line and other pline. Not even thinking about c/l for moment. If you must, isolate layer pedit multiple then only working with plines or maybe explode all only have lines and arc and then last line of code is pedit and remake all. layiso and layuniso can be very helpfull. All sorts of mini defun come to mind find line on end point of a arc and check for end/start.
    1 point
  5. Adding a suffix I think look for the lines: (setq str (strcat "%<\\AcObjProp Object(%<\\_ObjId " (LM:ObjectID (vlax-ename->vla-object (ssname sel 0))) ">%).Area \\f \"" fmt "\">%" ) ) and (setq str (strcat "%<\\AcExpr " (apply 'strcat (reverse (cdr (reverse lst)))) " \\f \"" fmt "\">%" ) ) and before the closing brackets for (strcat.... add your suffix text ("ha"), something like .... " \\f \"" fmt "\">%" " ha" ) ) That will give you the area as a field and then the ha as text after it. Not sure but the units will depends on the units your drawing is using. Lee Mac has a thing here, format codes http://www.lee-mac.com/fieldformat.html so if you set up the formatting for one of the fields created above as you want and use this, then you can change this line: (setq fmt "%lu6%qf1") ;; Field Formatting and put in the code that fieldformat gives you (I think)
    1 point
  6. try setting TRIMEXTENDMODE to 1. That sets the trim default to immediately trim the selected object back to the nearest intersecting object if only one, or to the two nearest intersecting objects if two or more objects cross the selected object. I think that one came to be in 2018 didn't it? Not sure. I know it surprised me a few releases ago when I tried to select an object to trim and it just freakin' trimmed itself. The releases all started to run together for me more as my retirement day got closer, and as I started to run out of 'youknowhats" to give.
    1 point
  7. It's the leader index since an mleader can have multiple leaders.
    1 point
  8. Like this. (defun pass (fn a b) (fn a b) ) (pass + 2 3)
    1 point
×
×
  • Create New...